### Method

# Clutter Actor get_transformed_paint_volume

#### Declaration [src]

    ClutterPaintVolume*
    clutter_actor_get_transformed_paint_volume (
      ClutterActor* self,
      ClutterActor* relative_to_ancestor
    )

#### Description [src]

Retrieves the 3D paint volume of an actor like `clutter_actor_get_paint_volume()` does and it additionally transforms the paint volume into the coordinate space of `relative_to_ancestor`. (Or the stage if `NULL` is passed for `relative_to_ancestor`)

This can be used by containers that base their paint volume on the volume of their children. Such containers can query the transformed paint volume of all of its children and union them together using `clutter_paint_volume_union()`.

#### Parameters

`relative_to_ancestor`

  Type: `ClutterActor`

  A `ClutterActor` that is an ancestor of `self` (or `NULL` for the stage).

  The data is owned by the caller of the method.

#### Return value

Type: `ClutterPaintVolume`

A pointer to a `ClutterPaintVolume`, or `NULL` if no volume could be determined.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The return value can be `NULL`.